using RDH.Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
namespace RDH.Data.BLL
{
    public partial class PortableStorageTypeBLL : BaseOrclBLL<PortableStorageType>
    {
        public PortableStorageTypeBLL() : base()
        {
            AliasTableName = "ptype";
        }

        internal override String TABLE_NAME { get { return "PORTABLE_STORAGE_TYPE"; } }//TB_NAME
        internal override string ENTITY_NAME { get { return "PortableStorageType"; } }
        internal override String KEY_COLUMN { get { return "KEY"; } }//KEY_COLUMN

        internal override void InitMaps()
        {
            ColumnPropMaps.Add("KEY", "Key");
            ColumnPropMaps.Add("TYPE_CODE", "TypeCode");
            ColumnPropMaps.Add("TYPE_NAME", "TypeName");
            ColumnPropMaps.Add("HAS_MUSCLE_RELAXANT", "HasMuscleRelaxant");
            ColumnPropMaps.Add("NEED_WITNESS", "NeedWitness");
            ColumnPropMaps.Add("NOT_LIMIT_COUNT", "NotLimitCount");
            ColumnPropMaps.Add("CREATE_BY", "CreateBy");
            ColumnPropMaps.Add("CREATE_TIME", "CreateTime");
            ColumnPropMaps.Add("FLAG", "Flag");
            ColumnPropMaps.Add("CLIENT_TIME", "ClientTime");
            ColumnPropMaps.Add("SERVER_TIME", "ServerTime");
            ColumnPropMaps.Add("EXT01", "Ext01");
            ColumnPropMaps.Add("EXT02", "Ext02");
            ColumnPropMaps.Add("EXT03", "Ext03");
            ColumnPropMaps.Add("EXT04", "Ext04");
            ColumnPropMaps.Add("EXT05", "Ext05");
            ColumnPropMaps.Add("EXT06", "Ext06");
            ColumnPropMaps.Add("EXT07", "Ext07");
            ColumnPropMaps.Add("EXT08", "Ext08");
            ColumnPropMaps.Add("EXT09", "Ext09");
            ColumnPropMaps.Add("EXT10", "Ext10");
            ColumnPropMaps.Add("IS_MEDICAL_KIT", "IsMedicalKit");
        }
        internal override object GetParam(PortableStorageType t)
        {
            return new
            {
                Key = t.Key,
                TypeCode = t.TypeCode,
                TypeName = t.TypeName,
                HasMuscleRelaxant = t.HasMuscleRelaxant,
                NeedWitness = t.NeedWitness,
                CreateBy = t.CreateBy,
                CreateTime = t.CreateTime,
                Flag = t.Flag,
                ClientTime = t.ClientTime,
                ServerTime = t.ServerTime,
                Ext01 = t.Ext01,
                Ext02 = t.Ext02,
                Ext03 = t.Ext03,
                Ext04 = t.Ext04,
                Ext05 = t.Ext05,
                Ext06 = t.Ext06,
                Ext07 = t.Ext07,
                Ext08 = t.Ext08,
                Ext09 = t.Ext09,
                Ext10 = t.Ext10,
                IsMedicalKit = t.IsMedicalKit,
                NotLimitCount = t.NotLimitCount,
            };
        }
    }
}
